Package jnr.constants

# Class PlatformConstants

java.lang.Object
jnr.constants.PlatformConstants

public final class PlatformConstants extends Object
Platform specific constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ARCH`
`static final Map<String,String>`
`ARCH_NAMES`
`static final int`
`BIG_ENDIAN`
`static final int`
`BYTE_ORDER`
`static final boolean`
`FAKE`
`static final int`
`LITTLE_ENDIAN`
`static final String`
`NAME`
`static final String`
`OS`
`static final Map<String,String>`
`OS_NAMES`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArchPackageName()`
`String`
`getFakePackageName()`
`String`
`getOSPackageName()`
`String[]`
`getPackagePrefixes()`
`static PlatformConstants`
`getPlatform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FAKE

public static final boolean FAKE

### OS_NAMES

public static final Map<String,String> OS_NAMES

### ARCH_NAMES

public static final Map<String,String> ARCH_NAMES

### ARCH

public static final String ARCH

### OS

public static final String OS

### NAME

public static final String NAME

### BIG_ENDIAN

public static final int BIG_ENDIAN

See Also:
  - Constant Field Values

### LITTLE_ENDIAN

public static final int LITTLE_ENDIAN

See Also:
  - Constant Field Values

### BYTE_ORDER

public static final int BYTE_ORDER

## Method Details

### getPlatform

public static PlatformConstants getPlatform()

### getPackagePrefixes

public String[] getPackagePrefixes()

### getArchPackageName

public String getArchPackageName()

### getOSPackageName

public String getOSPackageName()

### getFakePackageName

public String getFakePackageName()